#ifndef DATA_COOLANT_H
#define DATA_COOLANT_H

#include "stdint.h"


typedef enum{
    CoolantSensorNormal = 0,
    CoolantSensorShortCircuit,
    CoolantSensorOpenCircuit,
}CoolantSensorSts_t;
    
extern void Coolant_KL15_Init(void);
extern void Coolant_KL30_Init(void);
extern void Coolant_Cal_Sevice(uint8_t deltaTime);
extern uint8_t Get_CurCoolantSetp(void);
extern CoolantSensorSts_t Get_Coolant_Sensor_State(void);
void Coolant_R_Cal(uint8_t deltaTime);
#endif
